org.appng.appngizer.model.xml

## Class Sites

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Sites

- Direct Known Subclasses:
    Sites

      public class Sites
      extends Linkable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{http://www.appng.org/schema/appngizer}linkable">
             <sequence>
               <element ref="{http://www.appng.org/schema/appngizer}site" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Site>` | `site`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sites()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Site>` | `getSite()` Gets the value of the site property.

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### site

          protected List<Site> site

  - ### Constructor Detail

    - #### Sites

          public Sites()

  - ### Method Detail

    - #### getSite

          public List<Site> getSite()

      Gets the value of the site property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the site property.

      For example, to add a new item, do as follows:

              getSite().add(newItem);

      Objects of the following type(s) are allowed in the list `Site`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.